Subject: Re: bug#33005: 27.0.50; Data loss with Gnus registry

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 09 Dec 2019 16:24:04 -0800

Michael Heerdegen <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>> I was going to say you could add a method to `eieio-persistent-save',
>> maybe an :after method, and do it there, but now I wonder if you might
>> get into some sort of recursive loop, since you'd want to use
>> `eieio-persistent-save' in there, as well.
>
> AFAIU that's not necessary or what I plan.  When `backup-buffer' creates
> a backup for a file (named by buffer-file-name) it basically makes a
> copy of the already existing file (and before any new contents are
> saved) as newest backup.  Making a backup of the old version of the
> registry save file is sufficient.

Oh, of course! Well in that case an :after method on
`eieio-persistent-save' might be just the thing.